package com.tzld.longarticle.recommend.server.common.enums;

import java.util.Objects;

public enum ContentPositionEnum {

    One(1, "头条"),
    Two(2, "次条"),
    Three(3, "3-8"),
    Four(4, "3-8"),
    Five(5, "3-8"),
    Six(6, "3-8"),
    Seven(7, "3-8"),
    Eight(8, "3-8"),
    ;

    ContentPositionEnum(Integer position, String name) {
        this.position = position;
        this.name = name;
    }

    public final Integer position;

    public final String name;


    public static String from(Integer position) {
        if (position == null) {
            return null;
        }
        for (ContentPositionEnum positionEnum : ContentPositionEnum.values()) {
            if (Objects.equals(positionEnum.position, position)) {
                return positionEnum.name;
            }
        }
        return null;
    }


}
