package com.tzld.longarticle.recommend.server.common.enums.aigc;

import lombok.Getter;

import java.util.Objects;

@Getter
public enum ProducePlanInputSourceTypeEnum {
    contentID(1, "内容ID"),
    contentPlan(2, "内容计划"),
    imageElementTag(3, "图片元素标签"),
    manMadeImageElementTag(4, "人为图片元素标签"),
    contentTag(5, "内容标签"),
    manMadeContentTag(6, "人为内容标签"),
    videoUploadMaterial(7, "视频上传素材"),
    manMadeTag(8, "人为标签"),
    customizeField(9, "输出自定义字段"),
    point_pretreatPlan(10, "内容点处理计划"),
    keyPointId(11, "内容要点ID"),
    hotPointId(12, "平台热点ID"),
    keyPointType(13, "要点类型"),
    keyPointStrategy(14, "要点策略"),
    hotPointStrategy(15, "热点策略"),
    hotPointType(16, "热点类型"),
    accountRole(17, "账号人设"),
    aiModelRobot(18, "数字人分身"),
    aiModelTts(19, "声音包"),
    musicCategory(20, "音乐分类"),
    textToMusic(21, "文字转语音"),
    musicReplace(22, "音频音色替换"),
    textImageTemplate(23, "文字配图模板"),
    textImageTemplateName(24, "文字配图模板名称"),
    textImageTemplateTag(25, "文字配图模板标签"),
    aiModelBg(26, "数字人背景"),
    other(999, ""),
    ;

    private final Integer val;
    private final String description;

    ProducePlanInputSourceTypeEnum(Integer val, String description) {
        this.val = val;
        this.description = description;
    }

    public static ProducePlanInputSourceTypeEnum from(Integer val) {
        for (ProducePlanInputSourceTypeEnum typesEnum : ProducePlanInputSourceTypeEnum.values()) {
            if (Objects.equals(typesEnum.val, val)) {
                return typesEnum;
            }
        }
        return null;
    }
}
