package com.tzld.longarticle.recommend.server.common.enums.recommend;

import lombok.Getter;

import java.util.ArrayList;
import java.util.List;
import java.util.Objects;

@Getter
public enum ContentPoolEnum {
    autoArticlePoolLevel1("autoArticlePoolLevel1", 1, "头条", 100),
    autoArticlePoolLevel2("autoArticlePoolLevel2", 2, "头条", 50),
    autoArticlePoolLevel3("autoArticlePoolLevel3", 3, "次条", 25),
    autoArticlePoolLevel4("autoArticlePoolLevel4", 4, "冷启层", 1),

    ;

    private final String contentPool;
    private final Integer value;
    private final String description;
    private final Integer weight;

    ContentPoolEnum(String contentPool, Integer value, String description, Integer weight) {
        this.contentPool = contentPool;
        this.value = value;
        this.description = description;
        this.weight = weight;
    }

    public static ContentPoolEnum from(String contentPool) {
        for (ContentPoolEnum poolEnum : ContentPoolEnum.values()) {
            if (Objects.equals(poolEnum.contentPool, contentPool)) {
                return poolEnum;
            }
        }
        return autoArticlePoolLevel4;
    }

    public static ContentPoolEnum from(Integer value) {
        for (ContentPoolEnum poolEnum : ContentPoolEnum.values()) {
            if (Objects.equals(poolEnum.value, value)) {
                return poolEnum;
            }
        }
        return autoArticlePoolLevel4;
    }

    public static List<String> getOrderContentPool() {
        List<String> result = new ArrayList<>();
        result.add(autoArticlePoolLevel1.getContentPool());
        result.add(autoArticlePoolLevel2.getContentPool());
        result.add(autoArticlePoolLevel3.getContentPool());
        result.add(autoArticlePoolLevel4.getContentPool());
        return result;
    }
}
