package com.tzld.longarticle.recommend.server.model.entity.crawler;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.persistence.*;
import java.io.Serializable;

@Data
@AllArgsConstructor
@NoArgsConstructor
@Entity
@Table(name = "account_avg_info_v3")
@IdClass(AccountAvgInfo.PK.class)
public class AccountAvgInfo implements Serializable {

    @Id
    @Column(name = "gh_id")
    private String ghId;
    @Id
    @Column(name = "position")
    private String position;
    @Column(name = "account_name")
    private String accountName;
    @Id
    @Column(name = "update_time")
    private String updateTime;
    @Column(name = "fans")
    private Integer fans;
    @Column(name = "read_avg")
    private Double readAvg;
    @Column(name = "like_avg")
    private Double likeAvg;
    @Column(name = "status")
    private Integer status;
    @Column(name = "account_type")
    private String accountType;
    @Column(name = "account_mode")
    private String accountMode;
    @Column(name = "account_source")
    private String accountSource;
    @Column(name = "account_status")
    private String accountStatus;
    @Column(name = "business_type")
    private Integer businessType; // 1 表示长文，2 表示投流，3 表示企微
    @Column(name = "read_rate_avg")
    private Double readRateAvg;
    @Column(name = "read_avg_ci_upper")
    private Double readAvgCiUpper;

    @Data
    public static class PK implements Serializable {

        @Column(name = "gh_id")
        private String ghId;
        @Column(name = "update_time")
        private String updateTime;
        @Column(name = "position")
        private String position;

        public PK() {
        }

    }
}