package com.tzld.longarticle.recommend.server.repository.crawler;

import com.tzld.longarticle.recommend.server.model.entity.crawler.ArticleDetailInfo;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.stereotype.Repository;

import java.util.Date;
import java.util.List;

@Repository
public interface ArticleDetailInfoRepository extends JpaRepository<ArticleDetailInfo, ArticleDetailInfo.PK> {

    List<ArticleDetailInfo> getByWxSnIn(List<String> wxSnList);

    List<ArticleDetailInfo> findByWxSnInAndPublishDtBetween(List<String> wxSnList, Date startDate, Date endDate);

    List<ArticleDetailInfo> findByWxSnEqualsAndPublishDtBetween(String wxSn, Date startDate, Date endDate);
}