package com.tzld.longarticle.recommend.server.repository.longArticle;

import com.tzld.longarticle.recommend.server.model.entity.longArticle.ArticleCategory;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.PageRequest;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.stereotype.Repository;

import java.util.List;

@Repository
public interface ArticleCategoryRepository extends JpaRepository<ArticleCategory, Long> {

    List<ArticleCategory> getByProduceContentIdInAndVersion(List<String> produceContentIds, Integer version);

    ArticleCategory getByProduceContentIdAndVersion(String produceContentId, Integer version);

    List<ArticleCategory> getByStatusAndVersion(Integer status, Integer version);

    Page<ArticleCategory> getByStatusAndVersion(Integer status, Integer version, PageRequest pageRequest);

    List<ArticleCategory> getAllByChannelContentIdInAndVersion(List<String> channelContentIds, Integer version);

    List<ArticleCategory> getByStatusAndRetryTimesLessThanAndVersion(Integer status, Integer retryTimes, Integer version);
}
