package com.tzld.longarticle.recommend.server.service.cgi;

import com.alibaba.fastjson.JSON;
import com.alibaba.fastjson.JSONArray;
import com.alibaba.fastjson.JSONObject;
import com.tzld.longarticle.recommend.server.model.bo.VideoDetail;
import com.tzld.longarticle.recommend.server.model.cgi.GroupData;
import org.springframework.http.MediaType;
import org.springframework.stereotype.Service;
import org.springframework.web.reactive.function.BodyInserters;
import org.springframework.web.reactive.function.client.WebClient;
import reactor.core.publisher.Mono;

import java.util.*;

@Service
public class TouLiuHttpClientService {

//    private final WebClient webClient;
//
//    public HttpClientService(String baseUrl) {
//        this.webClient = WebClient.builder()
//                .baseUrl(baseUrl)
//                .build();
//    }

    public String sendAdFlowAddRequest(String baseUrl,
                                       String videoId,
                                       String putScene,
                                       String channel,
                                       String remark,
                                       String putTypeOne,
                                       String putTypeTwo,
                                       String putTypeThree,
                                       String putCarrierId) {
        WebClient webClient = WebClient.builder()
                .baseUrl(baseUrl)
                .build();
        UUID uuid = UUID.randomUUID();
        // 构建请求体  
        String jsonBody = "{" +
                "\"videoId\":\"" + videoId + "\"," +
                "\"putScene\":\"" + putScene + "\"," +
                "\"channel\":\"" + channel + "\"," +
                "\"remark\":\"" + remark + "\"," +
                "\"putTypeOne\":\"" + putTypeOne + "\"," +
                "\"putTypeTwo\":\"" + putTypeTwo + "\"," +
                "\"putTypeThree\":\"" + putTypeThree + "\"," +
                "\"putCarrierId\":\"" + putCarrierId + "\"," +
                "\"path\":\"" + "pages/category" + "\"," +
                "\"requestParam\":{" +
                "\"jumpPage\":\"" + "pages/user-videos?id=" + videoId + "&fromGzh=1&rootShareId=" + uuid + "&shareId=" + uuid + "&rootSourceId=[rootSourceId]" + "\"" +
                "}" +
                "}";

        // 发送POST请求  
        Mono<String> result = webClient.post()
                .uri("/ad/put/flow/add/tencent")
                .contentType(MediaType.APPLICATION_JSON)
                .body(BodyInserters.fromValue(jsonBody))
                .retrieve()
                .bodyToMono(String.class);
        return result.block();
    }

    public List<GroupData> sendPenGongBaseRequest(String ghId) {
        WebClient webClient = WebClient.builder()
                .baseUrl("http://47.99.132.47:8813")
                .build();
        // 构建请求体
        String jsonBody = "{\"ghId\": \"" + ghId + "\"}";

        // 发送POST请求
        Mono<String> result = webClient.post()
                .uri("/VideoRank")
                .contentType(MediaType.APPLICATION_JSON)
                .body(BodyInserters.fromValue(jsonBody))
                .retrieve()
                .bodyToMono(String.class);
        String block = result.block();
        return JSON.parseArray(block, GroupData.class);
    }

    public static Map<Long, VideoDetail> getVideoDetailRequest(List<Long> videoIds) {
        Map<Long, VideoDetail> map = new HashMap<>();
        JSONObject params = new JSONObject();
        params.put("videoIdList", videoIds);
        WebClient webClient = WebClient.builder()
                .baseUrl("https://longvideoapi.piaoquantv.com")
                .build();

        // 发送POST请求
        Mono<String> result = webClient.post()
                .uri("/longvideoapi/openapi/video/batchSelectVideoInfo")
                .contentType(MediaType.APPLICATION_JSON)
                .body(BodyInserters.fromValue(params.toJSONString()))
                .retrieve()
                .bodyToMono(String.class);
        String block = result.block();
        JSONObject res = JSONObject.parseObject(block);
        JSONArray data = res.getJSONArray("data");
        for (int i = 0; i < data.size(); i++) {
            JSONObject jsonObject = data.getJSONObject(i);
            Long videoId = jsonObject.getLong("id");
            String shareImgPath = jsonObject.getString("shareImgPath");
            String title = jsonObject.getString("title");
            VideoDetail videoDetail = new VideoDetail();
            videoDetail.setCover(shareImgPath);
            videoDetail.setTitle(title);
            map.put(videoId, videoDetail);
        }
        return map;
    }


    // 注意：在实际使用时，你还需要导入相关类和处理异常，以及添加@Service注解到你的服务类上
    // 另外，请确保MediaType已正确导入，它来自org.springframework.http包  
}