package com.tzld.longarticle.recommend.server.web.recommend;

import com.tzld.longarticle.recommend.server.service.recommend.DataDashboardService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@RestController
@RequestMapping("/dataDashboard")
@Slf4j
public class DataDashboardController {

    @Autowired
    private DataDashboardService service;

    @GetMapping("/export/newSortStrategy")
    public void newSortStrategyExport(String beginDate, String endDate) {
        new Thread(() -> {
            service.export(beginDate, endDate);
        }).start();
    }

    @GetMapping("/export/newSortStrategy/wuxianliu")
    public void scheduledExportWuXianLiu(String beginDate, String endDate) {
        new Thread(() -> {
            service.exportWuXianLiu(beginDate, endDate);
        }).start();
    }

    @GetMapping("/export/intermediateIndicators")
    public void intermediateIndicatorsExport(String beginDate, String endDate) {
        new Thread(() -> {
            service.intermediateIndicatorsExport(beginDate, endDate);
        }).start();
    }

    @GetMapping("/export/firstContentScore")
    public void firstContentScoreExport(String beginDate, String endDate) {
        new Thread(() -> {
            service.firstContentScoreExport(beginDate, endDate);
        }).start();
    }

    @GetMapping("/export/producePlanAudit")
    public void producePlanAuditExport(String dateStr) {
        new Thread(() -> {
            service.producePlanAuditExport(dateStr);
        }).start();
    }

    @GetMapping("/export/videoAudit")
    public void videoAuditExport(String dateStr) {
        new Thread(() -> {
            service.videoAuditExport(dateStr);
        }).start();
    }

    @GetMapping("/export/contentFunnel")
    public void contentFunnelExport(String dateStr) {
        new Thread(() -> {
            service.contentFunnelExport(dateStr);
        }).start();
    }

    @GetMapping("/export/contentGroupFunnel")
    public void contentGroupFunnelExport(String dateStr) {
        new Thread(() -> {
            service.contentGroupFunnelExport(dateStr);
        }).start();
    }

    @GetMapping("/export/dailySafeScore")
    public void dailySafeScore(String dateStr) {
        new Thread(() -> {
            service.dailySafeScore(dateStr);
        }).start();
    }

    @GetMapping("/export/contentEffectGroupBySource")
    public void contentEffectGroupBySource(String dateStr) {
        new Thread(() -> {
            service.contentEffectGroupBySource(dateStr);
        }).start();
    }

    @GetMapping("/export/dailyAuditProduce")
    public void dailyAuditProduce(String dateStr) {
        new Thread(() -> {
            service.dailyAuditProduce(dateStr);
        }).start();
    }

    @GetMapping("/export/categoryGroupData")
    public void categoryGroupData(String dateStr) {
        new Thread(() -> {
            service.categoryGroupData(dateStr);
        }).start();
    }

}
