package com.tzld.longarticle.recommend.server;

import com.alibaba.fastjson.JSONObject;
import com.tzld.longarticle.recommend.server.common.enums.recommend.ArticleTypeEnum;
import com.tzld.longarticle.recommend.server.common.enums.recommend.RankStrategyEnum;
import com.tzld.longarticle.recommend.server.model.dto.Content;
import com.tzld.longarticle.recommend.server.service.recommend.recall.RecallService;
import com.tzld.longarticle.recommend.server.service.recommend.score.Score;
import com.tzld.longarticle.recommend.server.service.recommend.score.ScoreParam;
import com.tzld.longarticle.recommend.server.service.recommend.score.strategy.ViewCountRateStrategy;
import com.tzld.longarticle.recommend.server.service.recommend.score.strategy.ViewMultiplierStrategy;
import org.junit.jupiter.api.Test;
import org.springframework.boot.test.context.SpringBootTest;

import javax.annotation.Resource;
import java.util.ArrayList;
import java.util.List;

@SpringBootTest(classes = Application.class)
public class ScoreStrategyTest {

    @Resource
    ViewMultiplierStrategy viewMultiplierStrategy;
    @Resource
    ViewCountRateStrategy viewCountRateStrategy;
    @Resource
    RecallService recallService;

    @Test
    public void viewMultiplierStrategy() {
        ScoreParam param = new ScoreParam();
        List<Content> contentList = new ArrayList<>();
        Content content0 = new Content();
        content0.setCrawlerChannelContentId("0065561559007185d167afdd61b9ac5a");
        contentList.add(content0);
        Content content1 = new Content();
        content1.setCrawlerChannelContentId("0072aefb5bed07343469045bdd812ee0");
        contentList.add(content1);
        param.setContents(contentList);
        List<Score> result = viewMultiplierStrategy.score(param);
        System.out.println(JSONObject.toJSONString(result));
    }

    @Test
    public void viewCountRateStrategy() {
        ScoreParam param = new ScoreParam();
        param.setGhId("gh_bff0bcb0694a");
        param.setAccountName("喜乐生活派");
        List<Content> contentList = new ArrayList<>();
        Content content = new Content();
        content.setId("12341234");
        content.setTitle("炒瘦肉有人放淀粉，有人放蛋清，都错了，教你正确做法，嫩滑不柴");
        content.setCrawlerChannelContentId("0065561559007185d167afdd61b9ac5a");
        contentList.add(content);
        param.setContents(contentList);
        recallService.setTitleAvgViewCount(contentList, "gh_bff0bcb0694a", ArticleTypeEnum.QUNFA.getVal(), RankStrategyEnum.ArticleRankV16.getStrategy());
        System.out.println(JSONObject.toJSONString(param.getContents().get(0).getHisPublishArticleList()));
        List<Score> result = viewCountRateStrategy.score(param);
        System.out.println(JSONObject.toJSONString(result));
        //hisArticleList = hisArticleList.stream().filter(o -> o.getPublishTimestamp() < 1729267200).collect(Collectors.toList());
    }

}
